/*
** Module   : VT100Keyboard.java
** Abstract : VT-100 keyboard interface.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------Description-----------------
** 001 MAG 20140318 First version.
*/

package com.goldencode.terminal;

/**
 *  VT-100 keyboard interface.
 *
 * @author mag
 *
 */
public interface VT100Keyboard
{   
   /**
    * Handle keystroke events.
    * 
    * @param   keyCode
    *          Key code.
    * @param   keyChar
    *          Key character.
    */
   public void handleKeystroke(int keyCode, char keyChar);   
   
   /**
    * Set cursor key mode.
    * 
    * @param   cursorKey
    *          ANSI or Application
    */   
   public void setCursorKey(boolean cursorKey);
   
   /**
    * Set PTY interface.
    * 
    * @param   pty
    *          an instance of PTY interface
    */
   public void setMasterPty(MasterPty pty);   
}
